<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvSelect - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>

</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Select</h1>
      <h3>Default</h3>
      <nv-select label="Select a value">
        <nv-select-option value="0">
          <div class="nv-d-flex nv-align-items-center">
            <nv-avatar
              class="nv-mr-1"
              size="small"
              src="https://assets.gitlab-static.net/uploads/-/system/group/avatar/2976901/logo-square.png?width=100"></nv-avatar>
            <nv-label class="nv-m-0">Nuinalp</nv-label>
          </div>
        </nv-select-option>
        <nv-select-option value="1">
          <div class="nv-d-flex nv-align-items-center">
            <nv-avatar
              class="nv-mr-1"
              size="small"
              text="A"
              ></nv-avatar>
            <nv-label class="nv-m-0">APO Softworks</nv-label>
          </div>
        </nv-select-option>
        <nv-select-option value="2">Two</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
      </nv-select>
    </div>

    <div class="area-component">
      <h3>With custom selected value</h3>
      <nv-select label="Select a value" custom-selected-value value="0">
        <div slot='custom-selected-value' class="nv-d-flex nv-align-items-center nv-flex-nowrap nv-txt-nowrap nv-txt-truncate">
          <nv-avatar
            class="nv-mr-1"
            size="small"
            text="A"
            ></nv-avatar>
          <nv-label class="nv-m-0">APO Softworks</nv-label>
        </div>
        <nv-select-option value="0">
          <div class="nv-d-flex nv-align-items-center">
            <nv-avatar
              class="nv-mr-1"
              size="small"
              src="https://assets.gitlab-static.net/uploads/-/system/group/avatar/2976901/logo-square.png?width=100"></nv-avatar>
            <nv-label class="nv-m-0">Nuinalp</nv-label>
          </div>
        </nv-select-option>
        <nv-select-option value="1">
          <div class="nv-d-flex nv-align-items-center">
            <nv-avatar
              class="nv-mr-1"
              size="small"
              text="A"
              ></nv-avatar>
            <nv-label class="nv-m-0">APO Softworks</nv-label>
          </div>
        </nv-select-option>
        <nv-select-option value="2">Two</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
      </nv-select>
    </div>

    <div class="area-component">
      <h3>With filter</h3>
      <nv-select label="Select a value" name="selectone" filter>
        <nv-select-option label="One" value="1">One</nv-select-option>
        <nv-select-option label="Two" value="2">Two</nv-select-option>
        <nv-select-option label="Three" value="3">Three</nv-select-option>
      </nv-select>
    </div>

    <div class="area-component">
      <h3>With name</h3>
      <nv-select label="Select a value" name="selectone">
        <nv-select-option value="1">One</nv-select-option>
        <nv-select-option value="2">Two</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
      </nv-select>
    </div>

    <div class="area-component">
      <h3>Disabled</h3>
      <nv-select label="Select a value" disabled>
        <nv-select-option value="1">One</nv-select-option>
        <nv-select-option value="2">Two</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
      </nv-select>
    </div>

    <div class="area-component">
      <h3>With a initial value</h3>
      <nv-select label="Select a value" value="2">
        <nv-select-option label="One" value="1">One</nv-select-option>
        <nv-select-option label="Two" value="2">Two</nv-select-option>
        <nv-select-option label="Three" value="3">Three</nv-select-option>
      </nv-select>
    </div>

    <div class="area-component">
      <h3>With a multiple option</h3>
      <nv-select label="Select a value" value="2" multiple>
        <nv-select-option label="One" value="1">One</nv-select-option>
        <nv-select-option label="Two" value="2">Two</nv-select-option>
        <nv-select-option label="Three" value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
      </nv-select>
    </div>

    <div class="area-component">
      <h1>Select</h1>
      <h3>Default</h3>
      <nv-select label="Select a value" naked>
        <nv-select-option value="1">One</nv-select-option>
        <nv-select-option value="2">Two</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
        <nv-select-option value="3">Three</nv-select-option>
      </nv-select>
    </div>
  </div>
</body>
</html>
 